#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	selenium
Summary:	Python bindings for Selenium
Summary(pl.UTF-8):	Wiązania Pythona do Selenium
Name:		python-%{module}
Version:	3.141.0
Release:	7
License:	Apache v2.0
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/selenium/
Source0:	https://files.pythonhosted.org/packages/source/s/selenium/%{module}-%{version}.tar.gz
# Source0-md5:	274693e383ff507df7ee190359828c84
Patch0:		xpi-path.patch
Patch1:		0002-Pick-debian-location-of-chromedriver-from-chromium-d.patch
URL:		https://pypi.org/project/selenium/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	unzip
Suggests:	chromedriver
Suggests:	selenium-firefoxdriver
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python language bindings for Selenium WebDriver.

The selenium package is used to automate web browser interaction from
Python.

%description -l pl.UTF-8
Wiązania Pythona do sterownika Selenium WebDriver.

Pakiet selenium służy automatyzacji interakcji z przeglądarką WWW z
poziomu Pythona.

%package -n python3-%{module}
Summary:	Python bindings for Selenium
Summary(pl.UTF-8):	Wiązania Pythona do Selenium
Group:		Development/Languages/Python
Suggests:	chromedriver
Suggests:	selenium-firefoxdriver

%description -n python3-%{module}
Python language bindings for Selenium WebDriver.

The selenium package is used to automate web browser interaction from
Python.

%description -n python3-%{module} -l pl.UTF-8
Wiązania Pythona do sterownika Selenium WebDriver.

Pakiet selenium służy automatyzacji interakcji z przeglądarką WWW z
poziomu Pythona.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

# driver is in selenium-firefoxdriver.spec
%if %{with python2}
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/webdriver/firefox/webdriver.xpi
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/webdriver/firefox/amd64
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/webdriver/firefox/x86
%endif

%if %{with python3}
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/webdriver/firefox/webdriver.xpi
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/webdriver/firefox/amd64
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/webdriver/firefox/x86
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-selenium.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5ef6274
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> eb7cbb6
- Release 6 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4b839f9
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b40cc7b
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 1addba5
- rediff patch; rel 3

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 15f89e7
- webdriver/remote/*.js files belong here; release 2

* Sat Jan 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 4beb96e
- updated to 3.141.0
- removed outdated x-ignore-nofocus-path patch
- drop webdriver.xpi from python packages, rely on selenium-firefoxdriver
- added Suggests: selenium-firefoxdriver, chromedriver

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 573006e
- rebuild with python 3.8
- release 8 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ad5c504
- release 7 (by relup.sh)

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 89ac013
- rel 6; don't package unneded dirs/files

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6632c32
- rel 5; use chromedriver from /usr/bin

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c963db0
- rel 4; firefox addon in selenium-firefoxdriver.spec; make this noarch package

* Wed Apr 11 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bad90d2
- rel 4; firefox addon in selenium-firefoxdriver.spec; make this noarch package

* Wed Apr 11 2018 Jan Rękorajski <baggins@pld-linux.org> ee516b8
- don't package firefox webdriver for wrong arch
- rel 4

* Wed Apr 11 2018 Jan Rękorajski <baggins@pld-linux.org> 7aeb69a
- firefox webdriver only on x8664/ix86
- rel 3

* Tue Apr 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d63256
- rel 2; fix files on ix86

* Tue Apr 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 42aa733
- up to 3.11.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cc692ca
- python 3.6
- release 6 (by relup.sh)

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> 97d1ee0
- firefox extension only on supported archs

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> 2555f34
- s/iceweasel/firefox/
- rel 5

